cascading.operation

## Interface FilterCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface FilterCall<C>
    extends OperationCall<C>

Interface FilterCall provides access to the current `Filter` invocation arguments.

### Method Summary

Methods
`TupleEntry` `getArguments()` Returns `TupleEntry` of argument values.

### Methods inherited from interface cascading.operation.OperationCall

`getArgumentFields, getContext, setContext`

### Method Detail

#### getArguments

    TupleEntry getArguments()

Returns `TupleEntry` of argument values.

Note that the returned TupleEntry should not be cached (stored in a Collection), nor should the underlying Tuple instance. Where possible Cascading will re-use both TupleEntry and Tuple instances.

To get a safe copy that can be cached, use `TupleEntry.getTupleCopy()`.

Returns:
  TupleEntry